package com.yida.data.form.customForm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yida.data.common.core.entity.customform.CoreCustomForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 自定义表单 Mapper
 *
 * @author wjm
 * @date 2021-08-11 20:55:19
 */
public interface CoreCustomFormDataMapper{

    List<String> findFormFiled(@Param("dbName") String dbName, @Param("tableName") String tableName);

    void initSqlWithParameterReturnVoid(@Param("sql") String sql, @Param("parameterMap") Map parameterMap);

    List<Map> initSqlWithNUllReturnListMap(@Param("sql") String sql);

    Integer initSqlWithNUllReturnInteger(@Param("sql") String sql);

    /**
     * 查询对应表的数据
     * @param sql
     * @return
     */
    Map findData(@Param("sql") String sql);

    /**
     * 清空数据表
     * @param sql
     */
    void truncateTable(@Param("sql") String sql);

    void removeBySql(@Param("sql") String sql);
}
